Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::Provider_Not_Found Class Referencefinal

`#include <exceptn.h>`

Inheritance diagram for Botan::Provider_Not_Found:

## Public Member Functions
virtual int | error_code () const noexcept
ErrorType | error_type () const noexcept override
| Provider_Not_Found (const std::string &algo, const std::string &provider)
const char * | what () const noexcept override

## Detailed Description

Provider_Not_Found is thrown when a specific provider was requested but that provider is not available.

Warning
  This exception type will be removed in the future. Instead just catch Lookup_Error.

Definition at line 278 of file exceptn.h.

## Constructor & Destructor Documentation

## ◆ Provider_Not_Found()

Botan::Provider_Not_Found::Provider_Not_Found | ( | const std::string & | algo,
|  | const std::string & | provider
| ) |  |

Definition at line 135 of file exceptn.cpp.

135 :
136 Lookup_Error("Could not find provider '" + provider + "' for " + algo)
137 {}
Botan::Lookup_Error::Lookup_Error
Lookup_Error(const std::string &err)
Definition: exceptn.h:250

## Member Function Documentation

## ◆ error_code()

virtual int Botan::Exception::error_code | ( |  | ) | const
| inline virtual noexcept inherited

Return an error code associated with this exception, or otherwise 0.

The domain of this error varies depending on the source, for example on POSIX systems it might be errno, while on a Windows system it might be the result of GetLastError or WSAGetLastError. For error_type() is OpenSSLError, it will (if nonzero) be an OpenSSL error code from ERR_get_error.

Reimplemented in Botan::Compression_Error, Botan_FFI::FFI_Error, Botan::CommonCrypto_Error, Botan::PKCS11::PKCS11_ReturnError, Botan::TLS::TLS_Exception, Botan::SQL_Database::SQL_DB_Error, and Botan::System_Error.

Definition at line 112 of file exceptn.h.

112{ return 0; }

## ◆ error_type()

ErrorType Botan::Lookup_Error::error_type | ( |  | ) | const
| inline override virtual noexcept inherited

Return the "type" of error which occurred.

Reimplemented from Botan::Exception.

Definition at line 256 of file exceptn.h.

256{ return ErrorType::LookupError; }
Botan::ErrorType::LookupError
@ LookupError

References Botan::LookupError.

## ◆ what()

const char * Botan::Exception::what | ( |  | ) | const
| inline override noexcept inherited

Return a descriptive string which is hopefully comprehensible to a developer. It will likely not be useful for an end user.

The string has no particular format, and the content of exception messages may change from release to release. Thus the main use of this function is for logging or debugging.

Definition at line 96 of file exceptn.h.

96{ return m_msg.c_str(); }

Referenced by Botan::TLS::Client_Key_Exchange::Client_Key_Exchange(), and Botan_FFI::ffi_guard_thunk().

The documentation for this class was generated from the following files:

- src/lib/utils/exceptn.h
- src/lib/utils/exceptn.cpp